Subject: Restoring the full 800Mhz coverage of the RS Pro-37 scanner.

From: [email-masked] (Al Onderick)
Date: 8 Oct 93 10:09:48 EST

The following was found via anonymous ftp.
------------------------------------------------------------------------
The following notes have been shamelessly plagiarized from Mark Miller's
excellent instructions on modifying the Pro-34.  The two scanners are 
physically so similar that I needed to make only a few minor changes 
in Mark's notes to make them fit the Pro-37.

--------

  The instructions below are for those that don't like to completely
dissassemble every new electronic toy they buy just to see how it
works. Nor is it for the guy that has been building their own equipment
since the days of the first tube diode. This set of instructions assumes
a moderate level of skill with a soldering iron, and some simple hand
tools. It is aimed at those who just want the additional coverage from
the mods but havn't been building kits for a decade.
 lets just call these ....

                 "NOVICE NOTES" FOR PRO-37 MODIFICATIONS

1.  Remove the 4 small phillips screws on the back of the unit

2.  Remove the battery cover and battery holder from the case.  You won't
    loose your programming as long as you don't take all day to do
    this.

3.  Remove the two knobs on the top of the case (Volume &  Squelch)

4.  The case snaps together at the bottom via two molded "hooks"
    in the back half of the case which fit into two indentations
    in the front half.  These can be snapped apart by applying
    the right leverage to bend the hooks away from the indentations
    that they fit into while pulling the case apart.  You'll see what
    I mean when you look at it.  You need to be a bit careful in
    forcing the two halves of the case shell apart. Once you have
    the snaps at the bottom released, angle up the bottom of the case
    until the battery separation wall is clear of the internal metal
    frame, and slide towards the top of the unit. Place the back half
    of the shell aside.

5.  Now you will see the RF board mounted to the metal support frame. The 
    BNC (antenna) conector leads and the volume control power switch leads
    are soldered directly to the board. Carefully desolder these 4 connections.

7.  There will be a wire from the volume control knob to the PC board that
    is plugged in. Remove the plug from the RF board (needle nose pliers work)

8.  There will also be a similar wire (small shielded ) from the squelch control
    to the RF board wich is also plugged in. Remove the plug from the RF board.
    (Again Needle Nose Pliers work good here)

9.  Remove the 4 threaded hex stand-offs from the RF Board (these hold the RF
    board to the internal metal frame AND are where the screws that hold the
    back of the case screw in) Use a nut driver or Needle Nose Pliers.

10. Now the RF board is mostly free. The only thing holding it in is
    the row of connector pins on its botom side that plug into the logic
    board. You will need to pry this board up gently. Be warned that
    the bottom side of the RF board is just chock full of Very Small
    surface mounted components. So use something non-metalic and smooth
    to do the prying with.

11. Set the RF board aside.

12. The Internal Metal support frame is now exposed. there are 3 small phillips
    screws holding the metal frame to the bottom Logic board (actually, these
    screws go through the logic board and into the front half of the case)
    2 of the screws are near the top, and 1 is at the bottom of the metal frame.
    Remove these 3 screws.

13. There is a small socketed wire that leads from the small power pc board
    on the metal frame that goes under it and is plugged into the Logic
    board.  Lift the metal frame up and remove the power plug from the
    PC board. Place the metal frame with the rest of your parts pile.

14. You have the component side of the  Logic board exposed now. There are
    2 small phillips screws at the bottom of the PC board (where the Battery 
    compartment WAS) Remove them.

15. Once you have the the last 2 screws removed the Logic board is free. The
    speaker wires lead from the speaker to the logic board on the bottom side.
    These are soldered in but there is enough play in them to allow you to
    make the mods.

16. NOTE: The keyboard lock switch is a funky little piece of plastic with
    a sliding stainless metal contactor that is just wedged in between the
    front case and the logic board. Remove both the switch contacts and the
    plastic switch. (best know it now or loose them in the carpet)
    ALSO: don't touch the innards of the keyboard itself, which will now be
    exposed.  It appears that the keys make direct contact with pads on the
    circuit board, and you don't want grit and skin oil to be getting in there.

17. On the component side of the PC board you will see lots of nifty surface
    mounted components, a box-like capacitor (used for maintaining the
    channel freqs while you change the batteries.. and make modifications :)
    near the edge of the PC board you will see a couple of small diodes mounted
    vertically. These will be labeled on the PC board as D12 and D13. You will
    also see places for two other diodes to be soldered in (labeled D11 and
    D14) but nothing is installed in these.

18. Now carefully clip the lead coming from D13 and bend the
    diode away slightly to make a gap between the resulting two pieces
    of wire.  Clip it near the middle to leave plenty of room to resolder,
    in case you ever want to undo the mod.

You have completed the mod for complete 800mhz band coverage.

Follow the same steps backwards (18->1)and replace "remove" with "replace"
and "desolder" with "solder"

N.B. These instructions are from last night, All the steps are in correct order
as well as the general information. The diagrams are from memory so components
may not be in the exact location indicated, but they will be very close.

LASTLY, Now that you have made the mods, you can use the warranty card to
light the Bar-B-Q Grill with.

################################ DIAGRAMS #############################

       BNC Connector             RF Board
   __ /                         /       internal metal frame
    |- ============================= /
   --  |                            \                         Logic Board
       |_____________________________|                       /
      ===============================================================

              SIDE VIEW OF RF-BOARD, METAL FRAME, LOGIC BOARD

                                               ---------------------------------
                                              |        L E G E N D
                                              |---------------------------------
       _____________________________          |   X1   BNC lead
      | @                @         |          |   X2   BNC Shield Lead
      |_                           |          |   X3   Power Switch Lead
     --_X1                         |          |   X4   Power Switch Lead
      |                            |          | 
     ---X2             __          |          |
      |                --1         |          |
      |                            |          |
      |                            |          |  _
      |         __                 |          | ( )    Channel Memory Capacitor
      - X3      --2                |          |  -
      - X4                         |          |  __
      | @                      @   |          |  --1   Plug from Squelch Control
      |____________________________|          |  __
                                              |  --2   Plug from Volume Contol
            TOP OF RF-BOARD                   |
                                              |   @    Threaded Stand-off
                                              |
                                              |   *    Phillips Screws
       ______________________________         |
      |*                     |    || |        |   0    Diode (vertical mounted)
      |                      |    || |        |
      |                      |____|| |        |   .    Unoccupied space
      |                            | |        |        for diode
      |                             \|        |
      |                             *|        |
      |                             /|        |
      |                            | |        |
      |                            | |        |
      |                            | |        |
      |*                           | |        |
       ------------------------------         |
                                              |
     TOP OF INTERNAL METAL SUPPORT FRAME      |
                                              |_______________________________

       --------------------------------------------------------------
      |                                                            *|
      |                                                             |
      |                                                             |
      |                           _                                 |
      |                          ( )                                |
      |                           -                                 |
      |                                                             |
      |                                                             |
      |                                                             |
      |                D12  D13                                     |
      |                  \  /                                       |
      |                  .00.                                      *|
      |_____________________________________________________________|

                 COMPONENT SIDE OF LOGIC BOARD

						Al Onderick
						Allen-Bradley Co.